//jvsbridge.h
//Common header for JVS-Bridge code
//Bryan E. Topp <bet@tucsonlogic.com> 2020
#ifndef JVSBRIDGE_H
#define JVSBRIDGE_H

//Which firmware variant we're building - exactly one should be 1, others 0.
#define JVSBRIDGE_FWVAR_ANALOG 1
#define JVSBRIDGE_FWVAR_PLAIN  0

//Firmware release date
#define JVSBRIDGE_FWDATE_s "r2020.09.22"

//Description of variant
#if JVSBRIDGE_FWVAR_ANALOG
	#define JVSBRIDGE_FWVAR_s "2pKick analog"
#elif JVSBRIDGE_FWVAR_PLAIN
	#define JVSBRIDGE_FWVAR_s "USB+SW inputs"
#else
	#error no firmware variant defined
#endif

#endif //JVSBRIDGE_H
