//jvs.h
//JVS slave code for JVS Bridge
//Bryan E. Topp <betopp@betopp.com> 2020
#ifndef JVS_H
#define	JVS_H

//Initializes JVS communications.
void jvsslave_init();

//Updates JVS communications, reading any bytes from the UART.
//Possibly generates and sends a reply, if a packet has been received.
//May block for a long time in that case.
void jvsslave_update();

#endif	//JVS_H

